# getInfo

query information for the user interface

            int getInfo
            char* buffer
            int bufLen

## Description

For the dynamic creation of the user interface several information about the module class are necessary:

- icon, name, effect-group

- information about the inputs

- information about the outputs

These information are const that means subsequent calls to this function must return the same value.

The semantic of this function is that the caller gives a pointer to a already allocated array buf of size bufLen and if the info string fits in that array the string is copied and the size of the 0 terminated string is returned. If the buffer is to small no changes to the buffer are applied and the needed size is returned.

## Return Value

The function returns the number of written bytes or if the provided buffer was to small the minimum buffer size to store the info string